<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="baocao_3337" language="groovy" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<style name="Crosstab Data Text" isDefault="false" hAlign="Center"/>
	<subDataset name="f01">
		<queryString>
			<![CDATA[select to_char(sysdate,'dd')ngay,to_char(sysdate,'mm')thang,to_char(sysdate,'yyyy')nam from dual]]>
		</queryString>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="user_tinh_thanhpho" class="java.lang.String"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<parameter name="donvi_ql" class="java.lang.String"/>
	<parameter name="ma_bc" class="java.lang.String"/>
	<parameter name="nguoi_tt" class="java.lang.String"/>
	<parameter name="tien_dc" class="java.lang.String"/>
	<parameter name="seq" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := {p0sys_funcschema}bctk_numstore.numstore_3337_2155_excel('{p0sys_dataschema}','{p0sys_agentcode}',
'{p0donvi_ql}','{p0ma_bc}','{p0nguoi_tt}', '{p0tungay}','{p0denngay}','{p0tien_dc}'); end;]]>
	</queryString>
	<field name="stt" class="java.lang.String"/>
	<field name="so_tb" class="java.lang.String"/>
	<field name="ma_kh" class="java.lang.String"/>
	<field name="ten_tt" class="java.lang.String"/>
	<field name="ngay_hm" class="java.lang.String"/>
	<field name="thoigian_sudung" class="java.lang.String"/>
	<field name="tra_truoc" class="java.lang.String"/>
	<field name="thuc_thu" class="java.lang.String"/>
	<field name="cuocthang_toithieu" class="java.lang.String"/>
	<field name="nguoi_hm" class="java.lang.String"/>
	<field name="tenbuucuc" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="79" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="59" width="27" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center"/>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="27" y="59" width="62" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Số TB]]></text>
			</staticText>
			<staticText>
				<reportElement x="89" y="59" width="72" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Mã KH]]></text>
			</staticText>
			<staticText>
				<reportElement x="160" y="59" width="128" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Tên TT]]></text>
			</staticText>
			<staticText>
				<reportElement x="288" y="59" width="93" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Ngày HM ]]></text>
			</staticText>
			<staticText>
				<reportElement x="381" y="59" width="105" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Thời gian sử dụng]]></text>
			</staticText>
			<staticText>
				<reportElement x="486" y="59" width="58" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Phải thu ]]></text>
			</staticText>
			<staticText>
				<reportElement x="545" y="59" width="54" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Thực thu]]></text>
			</staticText>
			<staticText>
				<reportElement x="599" y="59" width="61" height="19"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Cước tối thiếu]]></text>
			</staticText>
			<staticText>
				<reportElement x="661" y="59" width="72" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Người HM ]]></text>
			</staticText>
			<staticText>
				<reportElement x="733" y="59" width="69" height="20"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Người HM ]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="3" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<textField>
				<reportElement x="381" y="0" width="105" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{thoigian_sudung}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="89" y="0" width="72" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ma_kh}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="160" y="0" width="128" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_tt}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="486" y="0" width="59" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{tra_truoc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="288" y="0" width="93" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ngay_hm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="27" y="0" width="62" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{so_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="600" y="0" width="62" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{cuocthang_toithieu}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="545" y="0" width="55" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{thuc_thu}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="27" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{seq}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="663" y="0" width="70" height="20"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman" size="9"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{nguoi_hm}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="733" y="1" width="69" height="20"/>
				<textElement/>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{tenbuucuc}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="120" splitType="Stretch">
			<staticText>
				<reportElement x="27" y="18" width="751" height="19"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[Đại diện TTDVKH                                                                              Tổ trưởng Tổ DVKH                                                                                  Người lập báo cáo ]]></text>
			</staticText>
			<staticText>
				<reportElement x="583" y="58" width="46" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[tháng]]></text>
			</staticText>
			<textField>
				<reportElement x="719" y="58" width="53" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="509" y="59" width="33" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[,ngày]]></text>
			</staticText>
			<staticText>
				<reportElement x="683" y="58" width="36" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<text><![CDATA[năm]]></text>
			</staticText>
			<textField>
				<reportElement x="542" y="58" width="41" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="629" y="58" width="54" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang").toString()]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
